commit:     36983b815644eab2f40095f90fc306a6ace4cb20
Author:     Hans de Graaff <graaff <AT> gentoo <DOT> org>
AuthorDate: Mon Mar 27 10:03:19 2023 +0000
Commit:     Hans de Graaff <graaff <AT> gentoo <DOT> org>
CommitDate: Mon Mar 27 10:03:38 2023 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=36983b81

dev-ruby/octokit: add 5.6.1

Signed-off-by: Hans de Graaff <graaff <AT> gentoo.org>

 dev-ruby/octokit/Manifest             |  1 +
 dev-ruby/octokit/octokit-5.6.1.ebuild | 42 +++++++++++++++++++++++++++++++++++
 2 files changed, 43 insertions(+)

diff --git a/dev-ruby/octokit/Manifest b/dev-ruby/octokit/Manifest
index 4814c7175d3b..d19671d96637 100644
--- a/dev-ruby/octokit/Manifest
+++ b/dev-ruby/octokit/Manifest
@@ -1,2 +1,3 @@
 DIST octokit-4.24.0.tar.gz 3151075 BLAKE2B 
df9a20854358722bb92e894413b4b8d50e911aba23d610da4d00e6ff8e03df2c442a83a781c836f5f780a2079992a28c77ae59ae89d49386a009af8f29d8a9d5
 SHA512 
e2cabc820732b6d9e71b37807007e17fba23199faa127c3480c37b5c8fca1a0ddcaffe5815ffe7a9efe3ef3b617b9099dca8b01e58b4210cbf68566897a93ce7
 DIST octokit-4.25.1.tar.gz 3154185 BLAKE2B 
b1698de8694cd2e147542eb6e7e9784428daa035a6e123c05c135558a669c0d222ef4629cc89de815a51b7b3660a8dd2cb80e8d11b90ac43f661e3e2e078b0c0
 SHA512 
780393e6765e82f0fbfada3b8800ccb981df4383ebfda0b218c24bac224b39f836c3d9cb94cf2564676000862dec7ab94cd2dbdaff51c37142d1f45140121bf1
+DIST octokit-5.6.1.tar.gz 3171006 BLAKE2B 
33fd132f81c7b1e1b3c1a4264b7bc6a7e7dbc2f9ccd4f1d2d734ae10914c5544eb90c629200e6d81b9a33fccc23791147af6660840248235ebe6b946f2ebba13
 SHA512 
3ed2e3eb61190da521f9246ac0fdb530e15c45cb41e5849f04ba1a92f0da8060a82eb2d90dfcb407436efba5f7f0ea98c69a342c67aa26b62eeab74a1f906c4e

diff --git a/dev-ruby/octokit/octokit-5.6.1.ebuild 
b/dev-ruby/octokit/octokit-5.6.1.ebuild
new file mode 100644
index 000000000000..5d221048a45e
--- /dev/null
+++ b/dev-ruby/octokit/octokit-5.6.1.ebuild
@@ -0,0 +1,42 @@
+# Copyright 1999-2023 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+USE_RUBY="ruby27 ruby30 ruby31"
+
+RUBY_FAKEGEM_RECIPE_DOC="yard"
+RUBY_FAKEGEM_RECIPE_TEST="rspec3"
+RUBY_FAKEGEM_EXTRADOC="README.md CONTRIBUTING.md"
+RUBY_FAKEGEM_GEMSPEC="${PN}.gemspec"
+
+inherit ruby-fakegem
+
+DESCRIPTION="Ruby toolkit for the Github API"
+HOMEPAGE="https://github.com/octokit/octokit.rb";
+SRC_URI="https://github.com/octokit/octokit.rb/archive/v${PV}.tar.gz -> 
${P}.tar.gz"
+
+LICENSE="MIT"
+SLOT="0"
+KEYWORDS="~amd64 ~arm ~x86"
+IUSE=""
+
+RUBY_S=octokit.rb-${PV}
+
+ruby_add_rdepend "
+       dev-ruby/faraday:1
+       >=dev-ruby/sawyer-0.9:0
+"
+
+ruby_add_bdepend "test? (
+       dev-ruby/jwt
+       dev-ruby/mime-types
+       >=dev-ruby/netrc-0.7.7
+       >=dev-ruby/rbnacl-7.1.1:6
+       dev-ruby/vcr[json]
+       dev-ruby/webmock:3 )"
+
+all_ruby_prepare() {
+       sed -e '/if RUBY_ENGINE/,/^end/ s:^:#: ; 1igem "webmock", "~>3.0"; gem 
"faraday", "<2"' \
+               -e '/pry/ s:^:#:' \
+               -i spec/helper.rb || die
+}

Reply via email to